Ubuntu安装deepin-wine解决依赖问题

最近一直在折腾Ubuntu系统作为自己笔记本的双系统,安装wine QQ的时候遇到了一个很小的问题,遇到的报错如下

dpkg: 依赖关系问题使得 deepin-wine32:i386 的配置工作不能继续:
deepin-wine32:i386 依赖于 libasound2-plugins.
dpkg: 处理软件包 deepin-wine32:i386 (--install)时出错:
依赖关系问题 - 仍未被配置
dpkg: 依赖关系问题使得 deepin-wine32-preloader:i386 的配置工作不能继续:
deepin-wine32-preloader:i386 依赖于 deepin-wine32;然而:
软件包 deepin-wine32:i386 尚未配置。
dpkg: 处理软件包 deepin-wine32-preloader:i386 (--install)时出错:
依赖关系问题 - 仍未被配置
正在设置 deepin-wine32-tools:i386 (2.18-12) ...
dpkg: 依赖关系问题使得 deepin-wine 的配置工作不能继续:
deepin-wine 依赖于 deepin-wine64 (>= 2.18-12) | deepin-wine32 (>= 2.18-12);然而:
未安装软件包 deepin-wine64。
软件包 deepin-wine32:i386 尚未配置。
deepin-wine 依赖于 deepin-wine64 (<< 2.18-12.1~) | deepin-wine32 (<< 2.18-12.1~);然而:
未安装软件包 deepin-wine64。
软件包 deepin-wine32:i386 尚未配置。
deepin-wine 依赖于 libjpeg62:i386;然而
dpkg: 处理软件包 deepin-wine (--install)时出错:
依赖关系问题 - 仍未被配置
dpkg: 依赖关系问题使得 deepin-wine-binfmt 的配置工作不能继续:
deepin-wine-binfmt 依赖于 deepin-wine;然而:
软件包 deepin-wine 尚未配置。
dpkg: 处理软件包 deepin-wine-binfmt (--install)时出错:
依赖关系问题 - 仍未被配置
正在设置 deepin-wine-plugin (1.0deepin2) ...
正在设置 deepin-wine-plugin-virtual (1.0deepin1) ...
正在设置 deepin-wine-helper:i386 (1.2deepin0) ...
正在设置 deepin-wine-uninstaller:i386 (0.1deepin2) ...
正在处理用于 libc-bin (2.28-0ubuntu1) 的触发器 ...
正在处理用于 man-db (2.8.4-2) 的触发器 ...
在处理时有错误发生:
deepin-wine32:i386
deepin-wine32-preloader:i386
deepin-wine
deepin-wine-binfmt

研究了一会儿找到了这个问题的主要根源,也就是依赖丢失

解决方法就是

sudo apt install libasound2-plugins:i386

安装完继续进行install安装即可解决依赖问题

点赞

发表评论

电子邮件地址不会被公开。必填项已用 * 标注